evolution keeps asking for password

Bug #1299604 reported by Tommy_CZ
276
This bug affects 64 people
Affects Status Importance Assigned to Milestone
evolution (Fedora)
New
Undecided
Unassigned
evolution (Ubuntu)
High
Unassigned

Bug Description

Hi, I have connected my evolution to mail server (imap) and it asks EVERY time after login for password to that email account. It do not remember it, even when I tick "remember using keyring".

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: evolution 3.10.4-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
Uname: Linux 3.13.0-20-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Sat Mar 29 23:00:38 2014
InstallationDate: Installed on 2014-03-29 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140317)
ProcEnviron:
 LANGUAGE=cs
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=cs_CZ.UTF-8
 SHELL=/bin/bash
SourcePackage: evolution
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Tommy_CZ (t-kijas) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in evolution (Ubuntu):
status: New → Confirmed
Revision history for this message
Patryk "LeadMan" Benderz (leadman) wrote :

I can confirm this: Ubuntu 14.04, Evolution 3.10.4. with EWS Exchange account.
Evolution asks for password after start, then I cand fetch emails, but after few minutes it asks again and claims password is wrong - which is untrue - i made sure of it. At the same time Evolution's entry disappears from gnome keyring. I tried to recreate Exchange account, but it didn't help.

Revision history for this message
Mikhail M Paremski (mishaparem) wrote :

I have the same configuration as LeadMan:
Running Ubuntu GNOME 14.04, Evolution 3.10.4, with EWS Exchange account.

Evo asks on login, and every time I try to search for an application in the Activities menu/launchpad/whatever it's called when you press the windows button in GNOME Shell :)

Revision history for this message
Patryk "LeadMan" Benderz (leadman) wrote :

Mikhail, that is... odd at least :)

Lately I found a workaround for Evo password issue, go to:
Edit>Preferences>Email Accounts>choose your EWS account>click Edit>Receive Options> set "Check new email every ... minutes" to some short time.
I have changed it from default to two minutes, and that helped. Now Evolution asks for password only once right after start :)

Please let others know if that helped you or is my case isolated lucky shot?

Revision history for this message
aleandro (aleandrodasilva) wrote :

Ubuntu 14.04. Same issue but with a yahoo account. I solved removing the account from the keyring by using seahorse and inserting it there again.

Revision history for this message
aleandro (aleandrodasilva) wrote :

Hi removing the account served til reboot. Then it is clear the situation is the same as before. I tried to set "Check new email every 2 minutes". I had 5 min. Yet I get the error only at boot.
 I tried furthermore to disable the keyring deamon but it seems that without it evolution cannot get mails.

Revision history for this message
GwaiTsi (gwaitsi) wrote :

Hi, I have this damn problem for about a week after some ubuntu updates.

I am only using POP accounts and it is damn annoying, cause everytime you open evolution or do a send/receive you have to re-enter the passwords (for each account).

I have tried deleting the enteries from seahorse and it create new ones again after entering the password, but nevertheless, still requires a password each time.

Revision history for this message
Marcelo Ruiz (marcelo-javier-ruiz-yahoo) wrote :

This bug is really old in Evolution and extremely annoying. I hope they don't make it as low importance...

Revision history for this message
wmccarty (wdmlist) wrote :

This issue pops up for me since whenever I've been using Evolution. I started using Evolution about 2009-2010 and ever since this issue has popped up on different versions of ubuntu/evolution. I cannot remember which bug had said that they had fixed this issue. Clearly it is not fixed.

Revision history for this message
wmccarty (wdmlist) wrote :

I was able to reset the gnome keyring and get evolution to re-remember all the passwords. Despite being able to solve this, this is the second time I've had to do this on Ubuntu 13.10 and evolution 3.8.4. The question remains is how does evolution lose connection to the password keyring?

Steps to solve the problem:
Go to this website:
- Exit evolution
- Clear the entire directory of ~/.gnome2/keyrings/
- run seahorse and verify that there are no passwords shown
- Exit seahorse
- completely remove seahorse
- restart the computer
- run evolution after restart
- enter passwords as normal
- you will be asked to enter a password keyring
- close evolution
- install seahorse
- you may have to restart again? (Can't remember where I did it)
- run evolution, you will be asked for the passwords again and the keyring

Evolution should keep the passwords now.

Revision history for this message
Paál, Balázs (paalb) wrote :

Bug affects me. It started just a couple of days ago, after installing some updates.

I've been using several different accounts for some months now, without any problems:
 - mail
  - pop account (2)
  - imap account (1)
 - calendar
  - CalDAV (1)
  - Google calendar (3)

Now, however, Evolution started asking for passwords on ALL of those accounts, several times a day. After entering the passwords those do not get stored. Very annoying.

Revision history for this message
Martijn Bastiaan (hmb1) wrote :
Revision history for this message
aleandro (aleandrodasilva) wrote :

Hello again. Could you provide a small guide to apply the 2 patches? Thanks.

Revision history for this message
Steffen Neumann (sneumann) wrote :

This sounds like a duplicate of #255768

Changed in evolution (Ubuntu):
importance: Undecided → High
Revision history for this message
lesar (leonardo-saracini) wrote :

Same problem: ask for password every 60 sec ~

My version:
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:desktop-4.1-amd64:desktop-4.1-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:graphics-4.1-amd64:graphics-4.1-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:languages-4.1-amd64:languages-4.1-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:multimedia-4.1-amd64:multimedia-4.1-noarch:printing-3.2-amd64:printing-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:printing-4.1-amd64:printing-4.1-noarch:qt4-3.1-amd64:qt4-3.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 14.04.1 LTS
Release: 14.04
Codename: trusty

on my access log I found:
gnome-keyring-daemon[xxxx]: couldn't set environment variable in session: The name org.gnome.SessionManager was not provided by any .service files

I have do
CAMEL_DEBUG=all evolution >& ~/evo_debug.log
and attach it

I hope this can help on debug.
regards

Revision history for this message
lesar (leonardo-saracini) wrote :

today evolution is no more asking for password and work well.
I do not know if any update has solved the problem.

regards

Revision history for this message
Marcelo Ruiz (marcelo-javier-ruiz-yahoo) wrote :

The problem is not solved... it renders Evolution useless....

Revision history for this message
Ivo Cavalcante (ivo-cavalcante) wrote :

Started to have this problem today. Following directions found here, I was able to solve it. It was as simple as opening Seahorse, goin to "Login" section and deleting all entries like "Evolution Data Source ..." - all of this with Evolution closed, of course. Started Evo afterwards and it asked for the passwrod one more time. After that, no more problem.

Hope it helps.

Revision history for this message
cigtoxdoc (lauterba) wrote :

The solution given above works correctly untul evolution (3.10.4) encounters a problem such as pop summary not available or mail server timed out. It looks like evolution wants an immediate response from a pop mail server or it throughs all sorts of bogus errors plus removes the passwords.

John

Revision history for this message
Marcelo Ruiz (marcelo-javier-ruiz-yahoo) wrote :

I think the fact that Evolution clears the password without interacting with the user is a bug on its own.
All the workarounds are temporary and do not "solve" the problem.
Evolution seems to have problems dealing with basic connectivity issues: connection drops, mail server temporary down (Yahoo, anyone?).
Bottom line: Evolution should never ever clear the password of any account. It could ask the user to update the password if there are authentication problems (if they are not related to connectivity issues), but the decision to change the password should not be made without the user consent.

Revision history for this message
lesar (leonardo-saracini) wrote :

to me the problem is this:
(evolution:4179): camel-WARNING **: Failed to initialize NSS SQL database in sql:/etc/pki/nssdb: NSS error -8126

this error came and gone during system update.
some time an update stop evolution from initialize NSS SQL some time an update make evolution work well.

Revision history for this message
Paul Judd (sukiipooru) wrote : Re: [Bug 1299604] Re: evolution keeps asking for password

Could it be related to nautilus / gnome keyring problem accessing data
bases. I sometimes need to resubmit passwords for encrypted external
drives. Perhaps a check of keyring bugs should be done. I do not know
enough about the system to know if it is relevant.
On 14/01/2015 10:01 PM, "lesar" <email address hidden> wrote:

> to me the problem is this:
> (evolution:4179): camel-WARNING **: Failed to initialize NSS SQL database
> in sql:/etc/pki/nssdb: NSS error -8126
>
> this error came and gone during system update.
> some time an update stop evolution from initialize NSS SQL some time an
> update make evolution work well.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (928599).
> https://bugs.launchpad.net/bugs/1299604
>
> Title:
> evolution keeps asking for password
>
> Status in evolution package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi, I have connected my evolution to mail server (imap) and it asks
> EVERY time after login for password to that email account. It do not
> remember it, even when I tick "remember using keyring".
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: evolution 3.10.4-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
> Uname: Linux 3.13.0-20-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.13.3-0ubuntu1
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Sat Mar 29 23:00:38 2014
> InstallationDate: Installed on 2014-03-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140317)
> ProcEnviron:
> LANGUAGE=cs
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=cs_CZ.UTF-8
> SHELL=/bin/bash
> SourcePackage: evolution
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/1299604/+subscriptions
>

Revision history for this message
lesar (leonardo-saracini) wrote :

Thank Paul you really have help me.

I have try to read keyring by open seahorse. it work, and I have read (by my eyes) some random psw.

after this I restart evolution. it ask me one last time for password, and it haven't no more ask for password.

I have restart it some time to check.

I do not know why this have work but it have.

my conf is on #16 message in this thread.

I hope this help.

regards

Revision history for this message
PSO (p-solaimani) wrote :

On my system (Ubuntu 14.04, Evolution 3.10.4, Seahorse 3.10.2) I did the following

- uninstalled seahorse
- restarted laptop
- installed seahorse
- opened seahorse and in "Login" deleted all entries looking like "Evolution Data Source xxxxxxxxxxx.xxxx.x@my-laptopname"

- opened Evolution and was asked for password of each account
- closed seahorse and Evolution

after that the problem was solved!

Perhaps removal and reinstallation of seahorse is not necessary at all. But I was just trying to do what @wmccarty described.

Try to delete in seahorse all "Evolution..." entries and then start Evolution to see if the problems resolves (saves you few minutes). I have the feeling that seahorse is not responsible for this error.

Revision history for this message
todd bailey (toddb) wrote :

<rant>
How the heck do I remove poc!!!! keyring? I never had any problems with evolution until some thought we needed a key manager.
It worked fine with out it, now I can't access email via evolution. If the dev team is going to force this crap on us the least they could do is make sure it works.
<rant/>

every time I start evolution, or try to send/receive email, I get the request for the password, each time it tells me incorrect password, but I know the password is valid. THis bug has been around for years, why doesn't fix this, I'm sure I am not an isolated case

Revision history for this message
Skewray (ubuntu-skewray) wrote :

I just started having this problem after a xubuntu 15.04 upgrade. Seahorse isn't even installed.

Revision history for this message
Patryk "LeadMan" Benderz (leadman) wrote :

And I just started having this even without upgrading to Ubuntu 15.04. Related to some backported package?

Revision history for this message
Bill Werner (wernerb) wrote :

SIMPLE solution for me at least...

Open Passwords & Keys
Right Click Gnome Storage (select Unlock when logged in)

Evo may ask for password at start, but seems to store and work normal now. EVEN after reboot.

Caveat: instructions aren't precise; once 'unlock when logged on' is chosen, options appear to disappear... (only allows lock, unlock).

Hope makes sense to all.

Revision history for this message
Bill Werner (wernerb) wrote :

CONFIRMED again...only says 'keyring didn't unlock at login', enter password ONCE at evo start. WORKS GREAT NOW!!

Revision history for this message
João C. Fernandes (joaocfernandes) wrote :

Hi,

I am able to reproduce this with accounts added directly to evolution.

I have 3 email accounts on evolution 2 of them were added using the Online accounts assistant those work correctly (Gmail, and Office 365). These work correctly.

Nonetheless, if I add an account directly through Evolution for Exchange the email account will work correctly, but after a restart of evolution whenever I press the "Super" key , the prompt for the password of the Exchange account is presented when I am sure it is correct.

Ubuntu 14.04 LTS
Evolution 3.10.4
Seahorse 3.10.2
GNOME 3.10.4

Revision history for this message
wmccarty (wdmlist) wrote :

Evolution still asking for passwords periodically, and my above reset procedure, is just that. It resets it, and then a few months later evolution starts asking for password.

Revision history for this message
KJKJKJ (xg-ubuntu) wrote :

After a software update appplied on 2016-03-23 contemporary with kernel update 3.13.0-83-generic #127-Ubuntu SMP Fri Mar 11 00:25:37 UTC 2016 x86_64 (best I can do to pin it down)

I can confirm the bug reappeared, but I successfully applied the painless fix as described here:

https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/1299604/comments/19

Revision history for this message
Marcelo Ruiz (marcelo-javier-ruiz-yahoo) wrote :

The workaround mentioned in comment #33 does not work all the time for me: the problem reappeared after a few days.

Revision history for this message
Michael Korn (w-michael) wrote :

This issue was gone for several weeks. Today all passwords (Google calendar, pop3/imap accounts) are lost again with Ubuntu 14.04.

Revision history for this message
Patryk "LeadMan" Benderz (leadman) wrote :

@Michael Korn: I do not have this issue any more on 15.10. Would you consider an upgrade?

Revision history for this message
wmccarty (wdmlist) wrote :

@Patryk I'm going to retest on 16.04 after I install it. But since my note above it's happened again. Going into .local/share/keyrings and purging the keyrings. Seems like this has happened at least 4-6 times a year.

Revision history for this message
wmccarty (wdmlist) wrote :

I'm not able to install 16.04 until the AMDGPU supports my graphics card. I am still on Kubuntu 14.04 with Evolution Mail 3.10.4 and after purging the keyring back in April, I've noticed some other behaviour. When I boot, I get the KDE Wallet Manager asking to open the keyring for wifi passwords and whatnot, before Evolution starts in about 15 seconds if I don't enter the KDE password properly Evolutions keyring does not get opened. In order to remedy the situation I have to kill all evolution processes (alarm-notify, etc) and restart evolution, normally it then asks to open it's keyring. Both my keyrings are the same password. So for now at least I'm not having to re-enter the passwords to get my mail to work. It would be nice to not have to do this and for the system to wait for the keyring to be entered before asking for mail passwords.

Revision history for this message
wmccarty (wdmlist) wrote :

I have again started to experience evolution mail re-asking for passwords that it should be able to access via the keyring. Not sure if this is a problem with the keyring or not.

Revision history for this message
Paál, Balázs (paalb) wrote :

Same here. I've been using Evolution for some years now. This issue comes back every three months or so. Then after some painful hours/days, I manage to clear the keyring and get Evolution to finally store the passwords (this is not easy, requires several restarts of Evolution and/or Ubuntu, can't figure out the exact process that works for sure).

Then, just about when I think its finally gone for good, after about 3 months the issue ALWAYS comes back.

Does not seem to be related to updates.

Revision history for this message
wmccarty (wdmlist) wrote :

So I did some more interweb findings search. I noticed that when Evolution mail is unable to unlock the password that if I install seahorse (again) and look at the keyrings listed, the gnome2 keyring remains locked and even if I try to unlock it with the correct password, it refuses to open. I found another launchpad bug via an ArchLinux forum listed later, but the launchpad bug is here:

https://bugs.launchpad.net/ubuntu/+source/seahorse/+bug/1409202

This is the Arch Linux forum topic which describes my situation exactly.
https://bbs.archlinux.org/viewtopic.php?id=197891

Anyhow, it seems that somehow the way my (kubuntu 14.04) install starts up prevents the gnome2 keyring from opening correctly. I'm not sure if it is related to the fact that I mostly use wifi on this computer and if it is related to the kde keyring opening not on time or on time. Sometimes I can get evolution mail to open the gnome2 keyring by restarting it after I've gone online, but other times it refuses to open even after a restart.

I tried deleting the keyrings again as described above, and noticed that the locked keyring is now unlocked. I suppose this bug is as a result of the gnome keyring not behaving properly, but not sure if all other users experience this nor if I should mark the bug as a duplicate of the above 1409202 bug or how?

Revision history for this message
wmccarty (wdmlist) wrote :

And to really beat the dead horse, this issue reoccurs even after doing the workaround of resetting the keyrings or deleting the passwords.

Revision history for this message
wmccarty (wdmlist) wrote :

So again today I had to reset a password on Evolution Mail. What worked was to find the password in seahorse, delete it and re-add it.

Revision history for this message
Paul Judd (sukiipooru) wrote :

Same situation I have but I'm using gnome-fallback in Debian Jessie.
It is not evolution problem but keyring problem this suggests.

Paul 「ポール」

(sent via web-gmail)

On 6 July 2016 at 05:28, wmccarty <email address hidden> wrote:

> So I did some more interweb findings search. I noticed that when
> Evolution mail is unable to unlock the password that if I install
> seahorse (again) and look at the keyrings listed, the gnome2 keyring
> remains locked and even if I try to unlock it with the correct password,
> it refuses to open. I found another launchpad bug via an ArchLinux forum
> listed later, but the launchpad bug is here:
>
> https://bugs.launchpad.net/ubuntu/+source/seahorse/+bug/1409202
>
> This is the Arch Linux forum topic which describes my situation exactly.
> https://bbs.archlinux.org/viewtopic.php?id=197891
>
> Anyhow, it seems that somehow the way my (kubuntu 14.04) install starts
> up prevents the gnome2 keyring from opening correctly. I'm not sure if
> it is related to the fact that I mostly use wifi on this computer and if
> it is related to the kde keyring opening not on time or on time.
> Sometimes I can get evolution mail to open the gnome2 keyring by
> restarting it after I've gone online, but other times it refuses to open
> even after a restart.
>
> I tried deleting the keyrings again as described above, and noticed that
> the locked keyring is now unlocked. I suppose this bug is as a result of
> the gnome keyring not behaving properly, but not sure if all other users
> experience this nor if I should mark the bug as a duplicate of the above
> 1409202 bug or how?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (928599).
> https://bugs.launchpad.net/bugs/1299604
>
> Title:
> evolution keeps asking for password
>
> Status in evolution package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi, I have connected my evolution to mail server (imap) and it asks
> EVERY time after login for password to that email account. It do not
> remember it, even when I tick "remember using keyring".
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: evolution 3.10.4-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
> Uname: Linux 3.13.0-20-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.13.3-0ubuntu1
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Sat Mar 29 23:00:38 2014
> InstallationDate: Installed on 2014-03-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140317)
> ProcEnviron:
> LANGUAGE=cs
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=cs_CZ.UTF-8
> SHELL=/bin/bash
> SourcePackage: evolution
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/1299604/+subscriptions
>

Revision history for this message
Paul Judd (sukiipooru) wrote :
Download full text (3.4 KiB)

PS
it always seems to be last mail password added to the keyring. I have
evolution with several mail accounts. I had to add a new account for a
Instagram account and now it it is only the latter that `bombs`, not the
main gmail account. The pop account for business doesn't fail nor the
internet provider email account that were added prior to the above.

Paul 「ポール」

(sent via web-gmail)

On 26 July 2016 at 19:38, Paul A. Judd <email address hidden> wrote:

> Same situation I have but I'm using gnome-fallback in Debian Jessie.
> It is not evolution problem but keyring problem this suggests.
>
> Paul 「ポール」
>
> (sent via web-gmail)
>
> On 6 July 2016 at 05:28, wmccarty <email address hidden> wrote:
>
>> So I did some more interweb findings search. I noticed that when
>> Evolution mail is unable to unlock the password that if I install
>> seahorse (again) and look at the keyrings listed, the gnome2 keyring
>> remains locked and even if I try to unlock it with the correct password,
>> it refuses to open. I found another launchpad bug via an ArchLinux forum
>> listed later, but the launchpad bug is here:
>>
>> https://bugs.launchpad.net/ubuntu/+source/seahorse/+bug/1409202
>>
>> This is the Arch Linux forum topic which describes my situation exactly.
>> https://bbs.archlinux.org/viewtopic.php?id=197891
>>
>> Anyhow, it seems that somehow the way my (kubuntu 14.04) install starts
>> up prevents the gnome2 keyring from opening correctly. I'm not sure if
>> it is related to the fact that I mostly use wifi on this computer and if
>> it is related to the kde keyring opening not on time or on time.
>> Sometimes I can get evolution mail to open the gnome2 keyring by
>> restarting it after I've gone online, but other times it refuses to open
>> even after a restart.
>>
>> I tried deleting the keyrings again as described above, and noticed that
>> the locked keyring is now unlocked. I suppose this bug is as a result of
>> the gnome keyring not behaving properly, but not sure if all other users
>> experience this nor if I should mark the bug as a duplicate of the above
>> 1409202 bug or how?
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (928599).
>> https://bugs.launchpad.net/bugs/1299604
>>
>> Title:
>> evolution keeps asking for password
>>
>> Status in evolution package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Hi, I have connected my evolution to mail server (imap) and it asks
>> EVERY time after login for password to that email account. It do not
>> remember it, even when I tick "remember using keyring".
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.04
>> Package: evolution 3.10.4-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
>> Uname: Linux 3.13.0-20-generic x86_64
>> NonfreeKernelModules: wl
>> ApportVersion: 2.13.3-0ubuntu1
>> Architecture: amd64
>> CurrentDesktop: Unity
>> Date: Sat Mar 29 23:00:38 2014
>> InstallationDate: Installed on 2014-03-29 (0 days ago)
>> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
>> (20140317)
>> ProcEnviron:
>> LANGUAGE=cs
>> PATH=(custom, no user)
>> XDG_RUNTI...

Read more...

Revision history for this message
wmccarty (wdmlist) wrote :

I am also wondering if this has to do with the way evolution starts. My KDE has evolution mail starting automatically, and with wifi the connection is not always started beforehand or is in the process of starting when evolution sometimes starts. From time to time, evolution will start with the little offline button in the bottom left as showing offline, even though I have internet connectivity. Pressing the button in these cases does nothing, and sometimes also that means that the keyring has not been opened. Since I noticed that you have to unlock the keyring, I have had one or two instances where the keyring 'Default' (where evo stores its pws), and 'Login' refuse to open. Despite after several instances of reboot, kill task, etc, the improper start of evolution seems to have corrupted the keyring, and I have to either delete the keys or reset the keyring by deleting the keyring files. For devs that think that this is purely a keyring issue, I'd challenge you to investigate the case of improper startup, however, I am not sure if the move to systemd will change the startup bugs, but then again I cannot test it on this machine because the AMDGPU drivers won't work with my APU and FGLRX drivers are no longer supported on newer releases (Past 15.04), plus 15.10 is no longer supported :(

Revision history for this message
wmccarty (wdmlist) wrote :

@Paul, I am starting to notice this as well. There is one password that keeps on dropping off the list, it's not the last password in the list, but it's always the same one.

Revision history for this message
Paul Judd (sukiipooru) wrote :

On Wed, 2016-07-27 at 13:20 +0000, wmccarty wrote:
> I am also wondering if this has to do with the way evolution starts. My
> KDE has evolution mail starting automatically, and with wifi the
> connection is not always started beforehand or is in the process of
> starting when evolution sometimes starts. From time to time, evolution
> will start with the little offline button in the bottom left as showing
> offline, even though I have internet connectivity. Pressing the button
> in these cases does nothing, and sometimes also that means that the
> keyring has not been opened. Since I noticed that you have to unlock the
> keyring, I have had one or two instances where the keyring 'Default'
> (where evo stores its pws), and 'Login' refuse to open. Despite after
> several instances of reboot, kill task, etc, the improper start of
> evolution seems to have corrupted the keyring, and I have to either
> delete the keys or reset the keyring by deleting the keyring files. For
> devs that think that this is purely a keyring issue, I'd challenge you
> to investigate the case of improper startup, however, I am not sure if
> the move to systemd will change the startup bugs, but then again I
> cannot test it on this machine because the AMDGPU drivers won't work
> with my APU and FGLRX drivers are no longer supported on newer releases
> (Past 15.04), plus 15.10 is no longer supported :(
>

The password question comes up before I have even started Evolution. I
have no on-start programs running.

Revision history for this message
wmccarty (wdmlist) wrote :

Ok so it finally happened again. The passwords and keys shows the keyring is unlocked but Evolution mail cannot retrieve any of the password in that list. Not sure if a sudden power off was to blame but that did happen a day before. I had to reset the keyring as a whole again, and start over. I'm honestly surprised that no one has taken on this bug given that it affects many users, and is entirely repeatable. I wonder if it is because the developers for Evolution Mail and the Gnome keyring don't talk?

Revision history for this message
wmccarty (wdmlist) wrote :

** Password(s) in that list. I have many Evolution Mail passwords (plural).

Revision history for this message
Mike Stroud (stroudmw) wrote :

I've got the same problem: I'm running Lubuntu 14.04 32bit (this is a very old pc) and Evolution 3.10.04. When I try to set up my email using EWS, I get repeated password prompts. Has anyone managed to get this working using Lubuntu?

Revision history for this message
Mike Stroud (stroudmw) wrote :

I fixed this by upgrading to Lubuntu 16.04.

Revision history for this message
Tommy_CZ (t-kijas) wrote :

I have no problem anymore, may be since upgrade to 16.04, but I will let you to decide whether to close it or not.

Revision history for this message
Bob English (zoidmaster) wrote :

Observations that may be of help (maybe not):

I too have this problem, or some version thereof (It seams to effect everyone differently).

Evolution has never asked me for a password just to start up. It always launches fine.

I have the auto retrieve setting at 10 minutes for all accounts.

I have several accounts from several providers.

I also have 7 accounts for my business, with addresses to my own website something@mydomain.

Each account has a different password and each password has at least one special character: !@#$...

At any given time/day (completely at random) I too get one or more "can not authenticate" prompts asking for the password to one or more email accounts. They all are affected, and which one is affected at any given time is also completely random

If It prompts me for a GMail account password (3 accounts) It only asks for the one, and repeats every ten minutes even when I type in the password, it does not accept it.

For my business accounts however, It sometimes asks for the passwords of all of them (7 accounts), but not always.

closing and restarting evolution works sometimes, sometimes "Kill All" is necessary, and sometimes I have to reboot the PC.

To me it looks like this behavior just may be triggered by different events. I have had similar messages (a few each year) with Thunderbird too, but mainly with Gmail (server overload???) once or twice with Hotmail. Never with my own domain.

I am on Ubuntu Studio 16.4 with Xfce4
Evolution 3.18.5.2 (still way better than Firefox!)

Revision history for this message
Levente Torok (toroklev) wrote :

I suspect, this is key handling issue.
To solve it, you should open application called seahorse
click on View, click on "By keyring"
Right click on Certificates like "Gnome key storage" and unlock it.

Revision history for this message
chudur-budur (kopa-shamsu) wrote :

I can't access my yahoo mail account on ubuntu 14.04 and evolution mail 3.10.4, it keeps asking for password and every time it says my password is incorrect. Any help will be appreciated.

Revision history for this message
Mike Stroud (stroudmw) wrote :

After much googling I found that the only fix was to upgrade to lubuntu
16.04. I did that and the problem went away.

On 17 Mar 2017 06:59, "chudur-budur" <email address hidden>
wrote:

> I can't access my yahoo mail account on ubuntu 14.04 and evolution mail
> 3.10.4, it keeps asking for password and every time it says my password
> is incorrect. Any help will be appreciated.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1299604
>
> Title:
> evolution keeps asking for password
>
> Status in evolution package in Ubuntu:
> Confirmed
>
> Bug description:
> Hi, I have connected my evolution to mail server (imap) and it asks
> EVERY time after login for password to that email account. It do not
> remember it, even when I tick "remember using keyring".
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: evolution 3.10.4-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
> Uname: Linux 3.13.0-20-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.13.3-0ubuntu1
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Sat Mar 29 23:00:38 2014
> InstallationDate: Installed on 2014-03-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140317)
> ProcEnviron:
> LANGUAGE=cs
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=cs_CZ.UTF-8
> SHELL=/bin/bash
> SourcePackage: evolution
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/
> 1299604/+subscriptions
>

Revision history for this message
godfrey (philgodfrey) wrote :

I've lost count on how many times I've unsubscribed from this thread and all threads on the forum.

Beginning to lose patience.

Revision history for this message
Sherif (ali-sherif10) wrote :

Hi, on Fedora 25, it keeps asking for password and doesn't fetch any mail.

Revision history for this message
Quin Dennis (quindennis) wrote :

Ubuntu 16.10, using Thunderbird, Evolution won't stop asking for Google credentials - BIG ISSUE

Revision history for this message
aris95 (aris95) wrote :

"Martijn Bastiaan (hmb1) wrote on 2014-08-03: #13

These patches should resolve the issue:

https://git.gnome.org/browse/evolution-data-server/commit/?h=evolution-data-server-3-12&id=c9f9cdebfc
https://git.gnome.org/browse/evolution-data-server/commit/?h=evolution-data-server-3-12&id=fedfc8f

Ubuntu packagers should incorperate these to prevent Evolution from asking for passwords.

Source:

https://bugzilla.gnome.org/show_bug.cgi?id=728689"

I have executed

$ autoconf
$ ./configure
$ automake

to those opened packages but it does not seem to affect anything? (Lubuntu 16.04.2 LTS)
Still asking for Evolution password (it is locked).

Revision history for this message
aris95 (aris95) wrote :

I found some solution (by andrewsimpson)

"1. Choose Applications --> Accessories --> Passwords and Encryption Keys.

2. In the application, chose Edit --> Preferences

3. Highlight the 'login' text in the main box, and choose 'Change Unlock Password'.

4. Enter your normal login password for current password. Leave the new password fields blank (as in "no password").

5. Click 'Change'. Expect a dialogue box saying that having no passwords is insecure. Click 'Accept', and keep clicking all the way out!

6. Enjoy your password free Network Manager..."

https://ubuntuforums.org/showthread.php?t=1003471&s=302ecb62352a65b9ffd9c1a335eb3fff&p=6365451#post6365451

Revision history for this message
Bob English (zoidmaster) wrote :

It's been more than 3 years that this bug started, and it is still not fixed!!!!!!!

I had this problem in Ubuntu from 15.04 all the way to 17.04, and now in SolydK where it is even worse because none of the 10 possible ways to get gnome-keyring-deamon to start on login to work!!!

I have tried every workaround offered, and although one or the other works here or there, it is completely inconsistant as to what will and will not work at any given time, and once you found a "Solution" you update the OS or something, and it fails again, then you can try every freakin' option all over again!! Its easier to break into the World Bank and crack the safe!

If no one is capable of fixing the problem, then why not just change the way it works (doesn't work) all together:

Dump the freaking gnome keyring dependancy completely, and make evolution remember passwords on it's own without it! It would have many advantages.

Revision history for this message
Malin Bruland (malinkb) wrote :

Confirmed on Ubuntu 16.04.2 LTS Evolution 3.18.5.2-0ubuntu3.2

Revision history for this message
Nic Knox (baknox) wrote :

Staggering that this problem persists. I'm still running Ubuntu 14.04 [LTS!!].
Seems to re-emerge for me with updates [as of yesterday].
Just posting this in case there's a developer out there still monitoring this bug.
I expect to be told to move up from 14.04 ....... but then what's the point of opting for LTSs?

Revision history for this message
Paul Judd (sukiipooru) wrote :

I have discovered that if one waits longer, ignores the password popular
evolution will get the mail. If it doesn't then just click the get button.
If everything password popular appears you get multiple entries of mail
password in seahorse and start up process is slowed even more. Using the
previous remedy in the thread you can remove the excess entries.

The password popup problem appears to be a poor communication or poor/out
of order timing with seahorse password manager and evolution start up.

Ignore popup and be patient and all is well, although annoying.

On Oct 28, 2017 22:49, "Nic Knox" <email address hidden> wrote:

> Staggering that this problem persists. I'm still running Ubuntu 14.04
> [LTS!!].
> Seems to re-emerge for me with updates [as of yesterday].
> Just posting this in case there's a developer out there still monitoring
> this bug.
> I expect to be told to move up from 14.04 ....... but then what's the
> point of opting for LTSs?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (928599).
> https://bugs.launchpad.net/bugs/1299604
>
> Title:
> evolution keeps asking for password
>
> Status in evolution package in Ubuntu:
> Confirmed
> Status in evolution package in Fedora:
> New
>
> Bug description:
> Hi, I have connected my evolution to mail server (imap) and it asks
> EVERY time after login for password to that email account. It do not
> remember it, even when I tick "remember using keyring".
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: evolution 3.10.4-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
> Uname: Linux 3.13.0-20-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.13.3-0ubuntu1
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Sat Mar 29 23:00:38 2014
> InstallationDate: Installed on 2014-03-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140317)
> ProcEnviron:
> LANGUAGE=cs
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=cs_CZ.UTF-8
> SHELL=/bin/bash
> SourcePackage: evolution
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/
> 1299604/+subscriptions
>

Revision history for this message
Bryan Crosby (bryanjcrosby) wrote :

I use Xubuntu 16.04 with evolution 3.18.5.2
This is the 2nd time, that it failed to send emails. It had previously worked seamlessly( over 3 months). Then I had to change my Microsoft (live) password. Evolution, asked for a new password when I started it up successfully. After that it could successfully receive all my emails but could not send any.
I eventually followed the advice found on this site to run seahorse, I closed Evo, and deleted all the relevant passwords associated with Evo. I restarted Evo, it asked for my server password twice, then the receiving and sending could happen again. It seems that it fails to recognise that either
1: The sending password is the same as receiving password ( there may be exceptions, but i would think it would be a fair default) for any email server.
2: that if get action required new password, so does send action
This password change coincided , coincidentally, with a system update. I don't know if that is part of the cause of this bug. Of course now that I have reported it, I will probably always remember the solution if it happens again.
***
Interesting, seahorse did not have the title seahorse in Xubuntu start menu. Rather when I entered "seahorse" in the search of startup menu, it resolved only to "Passwords and keys". It makes sense in a functional way, but threw me off track until that time.

Revision history for this message
Paul Judd (sukiipooru) wrote :

Upgraded to Debian stretch. New internet provider email account no longer
works, did before upgrade, tried all tricks but still popups for password.
Only Gmail now collects. Also no longer connects to Gmail address in
account.

: (

On Oct 29, 2017 23:52, "Paul A. Judd" <email address hidden> wrote:

> I have discovered that if one waits longer, ignores the password popular
> evolution will get the mail. If it doesn't then just click the get button.
> If everything password popular appears you get multiple entries of mail
> password in seahorse and start up process is slowed even more. Using the
> previous remedy in the thread you can remove the excess entries.
>
> The password popup problem appears to be a poor communication or poor/out
> of order timing with seahorse password manager and evolution start up.
>
> Ignore popup and be patient and all is well, although annoying.
>
> On Oct 28, 2017 22:49, "Nic Knox" <email address hidden> wrote:
>
>> Staggering that this problem persists. I'm still running Ubuntu 14.04
>> [LTS!!].
>> Seems to re-emerge for me with updates [as of yesterday].
>> Just posting this in case there's a developer out there still monitoring
>> this bug.
>> I expect to be told to move up from 14.04 ....... but then what's the
>> point of opting for LTSs?
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (928599).
>> https://bugs.launchpad.net/bugs/1299604
>>
>> Title:
>> evolution keeps asking for password
>>
>> Status in evolution package in Ubuntu:
>> Confirmed
>> Status in evolution package in Fedora:
>> New
>>
>> Bug description:
>> Hi, I have connected my evolution to mail server (imap) and it asks
>> EVERY time after login for password to that email account. It do not
>> remember it, even when I tick "remember using keyring".
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.04
>> Package: evolution 3.10.4-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
>> Uname: Linux 3.13.0-20-generic x86_64
>> NonfreeKernelModules: wl
>> ApportVersion: 2.13.3-0ubuntu1
>> Architecture: amd64
>> CurrentDesktop: Unity
>> Date: Sat Mar 29 23:00:38 2014
>> InstallationDate: Installed on 2014-03-29 (0 days ago)
>> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
>> (20140317)
>> ProcEnviron:
>> LANGUAGE=cs
>> PATH=(custom, no user)
>> XDG_RUNTIME_DIR=<set>
>> LANG=cs_CZ.UTF-8
>> SHELL=/bin/bash
>> SourcePackage: evolution
>> UpgradeStatus: No upgrade log present (probably fresh install)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/129
>> 9604/+subscriptions
>>
>

Revision history for this message
Adrianvg (adrianvg) wrote :

This is still a problem. Last paragraph in entry #27; https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/1299604/comments/26, seems to have solved the problem for now.

I my case I had about seven entries för Yahoo Mail in my keyring.
Removing all Yahoo-entries except the one named "Evolution Data Source" with the most recent password fixed it.

I'll have to confirm this after shutting down Evolution and the computer once to see if this persists, but for now it seems to work.

Revision history for this message
Adrianvg (adrianvg) wrote :
Revision history for this message
Gerald Weber (unficyp) wrote :

Still a problem with evolution 3.36.0. deleting entry using seahorse does not help.

Revision history for this message
Timur Tabi (timur-tabi) wrote :

Problem still exists in Ubuntu 19.10 with an EWS account. I just don't understand why none of the Evolution developers care.

Revision history for this message
Adrianvg (adrianvg) wrote :

It's been fine since https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/1299604/comments/70, and now it's back again.
The previous solution doesn't work anymore.

Running Evolution Mail 3.36.4-0ubuntu1 on Kubuntu 20.04.2.

I've tried removing and adding again the account, to no avail.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.